﻿/*==========================================================
                        BUTTONS
==========================================================*/

/*====================================
            Primary Button
====================================*/

.btn-primary {
    display: inline-block;
    background: var(--primary);
    color: var(--white);
    padding: 15px 35px;
    border: none;
    border-radius: var(--radius-sm);
    font-weight: 700;
    cursor: pointer;
    transition: var(--transition);
}

    .btn-primary:hover {
        transform: translateY(-4px);
        box-shadow: var(--shadow-md);
    }

/*====================================
            WhatsApp Button
====================================*/

.btn-whatsapp {
    display: inline-block;
    background: var(--success);
    color: var(--white);
    padding: 15px 35px;
    border-radius: var(--radius-sm);
    font-weight: 700;
    transition: var(--transition);
}

    .btn-whatsapp:hover {
        transform: translateY(-4px);
        box-shadow: var(--shadow-md);
    }

/*====================================
            Secondary Button
====================================*/

.btn-secondary {
    display: inline-block;
    background: var(--white);
    color: var(--primary);
    padding: 15px 35px;
    border-radius: var(--radius-sm);
    font-weight: 700;
    border: 2px solid var(--primary);
    transition: var(--transition);
}

    .btn-secondary:hover {
        background: var(--primary);
        color: var(--white);
    }

/*====================================
            Booking Button
====================================*/

.book-btn {
    display: block;
    width: 100%;
    text-align: center;
    background: var(--primary);
    color: var(--white);
    padding: 16px;
    border-radius: var(--radius-md);
    font-weight: bold;
    transition: var(--transition);
}

    .book-btn:hover {
        background: var(--primary-dark);
    }

/*====================================
            Service Button
====================================*/

.service-btn {
    display: inline-block;
    margin-top: 20px;
    background: var(--primary);
    color: var(--white);
    padding: 12px 24px;
    border-radius: var(--radius-sm);
    font-weight: 600;
    transition: var(--transition);
}

    .service-btn:hover {
        transform: translateY(-3px);
        background: var(--primary-dark);
    }
